Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
PartitionDelegate Delegate
See Also Send Feedback

An application-specified partitioning function.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate uint PartitionDelegate(
    	DatabaseEntry key
    )

Visual Basic (Declaration)
    Public Delegate Function PartitionDelegate ( _
    	key As DatabaseEntry _
    ) As UInteger

Visual C++
    public delegate unsigned int PartitionDelegate(
    	DatabaseEntry^ key
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The value used to determine which partition number should be returned.

# See Also

BerkeleyDB Namespace